#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'auditor.edit'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{AuditorCtr.index()}">&{'auditor.list'}</a></li>
	<li class="active">&{'auditor.edit'}</li>
</ol>

<div class="content">
#{alert /}
#{form @AuditorCtr.simpan(), method:'POST'}
    #{if pegawai?.peg_id}
    	<input type="hidden"  name="pegawai.peg_id" value="${pegawai?.peg_id}" class="form-control">
    #{/if}
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.namaaudit'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'pegawai.peg_nama'/}">
	      <input type="text" size="30" maxlength="80"  name="pegawai.peg_nama" value="${pegawai?.peg_nama}" class="form-control">
	      <span class="help-block">#{error 'pegawai.peg_nama' /}</span>
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.nip'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'pegawai.peg_nip'/}">
	     	 #{if pegawai?.peg_nip}
               <p class="form-control-static">${pegawai.peg_nip}</p>
               <input type="hidden" name="pegawai.peg_nip" value="${pegawai.peg_nip}"/>
             #{/if}
             #{else}
                <input type="text" maxlength="20" name="pegawai.peg_nip" value="${pegawai?.peg_nip}"  class="form-control #{validate 'pegawai.peg_nip'/}"/>
				<div class="invalid-feedback">#{error 'pegawai.peg_nip' /}</div>
             #{/else}
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.userid'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'pegawai.peg_namauser'/}">
	      #{if pegawai?.peg_namauser}
            <p class="form-control-static">${pegawai.peg_namauser}</p>
          	<input type="hidden" name="pegawai.peg_namauser" value="${pegawai.peg_namauser}" readonly />
           #{/if}
           #{else}
              <input type="text" size="10" maxlength=80 name="pegawai.peg_namauser" value="${pegawai?.peg_namauser}" class="form-control #{validate 'pegawai.peg_namauser'/}" />
			<div class="invalid-feedback">#{error 'pegawai.peg_namauser' /}</div>
          #{/else}

	    </div>
    </div>
    
	#{if pegawai?.peg_id}
		<div class="form-group">
			<label class="col-lg-2 control-label">&{'auditor.gantipwd'}</label>
			<div class="col-lg-10">
				<input id="chkPassword" class="form-check-input" onClick="$('#change').toggle();" name="chkPassword" type="checkbox"/>
			</div>
		</div>
		<div id="change" style="display:none;">
			<div class="form-group row">
				<label class="col-lg-2 col-form-label">Password Baru<span class="warning"> *</span></label>
                <div class="col-md-6">
                    <div class="input-group">
                        <input type="text" size="10" name="newPassword" class="form-control #{validate 'newPassword'/}"
                               value="${flash.newPassword}" readonly />
                        <div class="input-group-append">
							<button class="btn btn-secondary btn-cp" type="button"><span class="fa fa-copy"></span></button>
						</div>
						<div class="invalid-feedback">#{error 'newPassword' /}</div>
                    </div>

                </div>
                <div class="col-lg-2">
                    <button type="button" class="btn btn-primary" id="generate-pass">Generate</button>
                </div>
			</div>
		</div>
	#{/if}
	#{else}
		<div class="form-group row">
			<label class="col-lg-2 col-form-label">Password Baru<span class="warning"> *</span></label>
			<div class="col-md-6">
                <div class="input-group">
                    <input type="text" name="newPassword" class="form-control #{validate 'newPassword'/}" readonly />
                    <span class="input-group-append">
						<button class="btn btn-secondary btn-cp" type="button"><span class="fa fa-copy"></span></button>
					</span>
					<div class="invalid-feedback">#{error 'newPassword' /}</div>
                </div>
			</div>
			<div class="col-lg-2">
				<button type="button" class="btn btn-primary" id="generate-pass">Generate</button>
			</div>
		</div>
	#{/else}
	
	<div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.alamat'}</label>
	    <div class="col-lg-10">
	      <textarea cols="25" rows="4" name="pegawai.peg_alamat" class="form-control">${pegawai?.peg_alamat}</textarea>
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.telepon'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'pegawai.peg_telepon'/}">
	      <input size="15" maxlength="20" name="pegawai.peg_telepon" value="${pegawai?.peg_telepon}" class="form-control" onkeypress="return isNumberKey(event)">
	    <span class="help-block">#{error 'pegawai.peg_telepon' /}</span>  
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.email'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'pegawai.peg_email'/}">
	      <input type="text" size="40" maxlength="80" name="pegawai.peg_email" value="${pegawai?.peg_email}" class="form-control" placeholder="contoh : lkpp@gmail.com">
		  <span class="help-block">#{error 'pegawai.peg_email' /}</span>
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.pangkat'}</label>
	    <div class="col-lg-10">
	      <input type="text" size="20" maxlength="30" name="pegawai.peg_pangkat" value="${pegawai?.peg_pangkat}" class="form-control">
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.jabatan'}</label>
	    <div class="col-lg-10">
	      <input type="text" size="20" maxlength="100" name="pegawai.peg_jabatan" value="${pegawai?.peg_jabatan}" class="form-control">
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.golongan'}</label>
	    <div class="col-lg-10">
	      <input type="text" size="7" maxlength="5" name="pegawai.peg_golongan" value="${pegawai?.peg_golongan}" class="form-control">
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.aktif'}</label>
	    <div class="col-lg-10">
		    <input type="checkbox" class="form-check-input" name="isActive" id="isActive"  #{if pegawai == null || pegawai?.getIsActive() } checked="checked" #{/if} /> &nbsp;
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.pengangkatan'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'group'/}">
	     <select id="selectGroup" name="group" class="form-control">
             <option value="AUDITOR" selected>&{'auditor.auditor'}</option>
          </select>     
	      <div class="invalid-feedback">#{error 'group' /}</div>
	    </div>
    </div>
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.nosk'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'pegawai.peg_no_sk'/}">
	      <input type="text" size="20" maxlength=40 name="pegawai.peg_no_sk" value="${pegawai?.peg_no_sk}" class="form-control">
	      <span class="help-block">#{error 'pegawai.peg_no_sk' /}</span>
	    </div>
    </div>   
    <div class="form-group">
	    <label class="col-lg-2 control-label">&{'auditor.masask'}</label>
	    <div class="col-lg-10">
  			<div class="input-group date width-normal">
                 <input type="text" size="20" maxlength="40" name="pegawai.peg_masa_berlaku" value="${pegawai?.peg_masa_berlaku}" class="form-control"/>
                 <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
            </div>
	    </div>
    </div>
    <div class="form-group row">
	    <div class="col-lg-offset-2 col-lg-10">
	        #{saveButton /}
       		#{backButton action:@AuditorCtr.index() /}     
	    </div>
    </div>        
#{/form}
	<div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> &{'auditor.dataisi'}
    </div>
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">

$("[name='pegawai.peg_telepon']")
.keypress(function (e) {
	if (e.which > 31  && (e.which < 48 || e.which > 57)) {
		return false;
	}
});
$("#generate-pass").on("click", function () {
	$.ajax({
		url: '@{controllers.admin.UtilityCtr.generatePassword()}',
		success: function (pass) {
			$("input[name='newPassword']").val(pass);
		}
	})
});

$(".btn-cp").on('click', function () {
	var pass = $("input[name='newPassword']")
	pass.select();
    document.execCommand("copy");
    alert("Password berhasil dicopy.")
})
</script>
#{/set}